<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:b="http://bootsfaces.net/ui" xmlns:p="http://primefaces.org/ui">


<ui:composition template="/WEB-INF/template.xhtml">
    <ui:define name="pageContent">

        <!--Missing value tag allicht met de lijst die zal gevuld worden-->
        <div class="formPanel">

            <b:dataTable value="#{searchResultBean.singleSearchResults}" var="flight"
                         styleClass="flightListTable"
                         headerClass="flightListTableHeader"
                         rowClasses="flightListTableOddRow,flightListTableEvenRow">

                <b:dataTableColumn value="#{flight.airline.name}">
                    <f:facet name="header">Airline</f:facet>

            </b:dataTableColumn>
            <b:dataTableColumn value="#{flight.flightRoute.origin.printDetails()}">
                <f:facet name = "header" >Departure</f:facet>
            </b:dataTableColumn>
            <b:dataTableColumn value="#{flight.flightRoute.destination.printDetails()}">
                <f:facet name = "header" >Destination</f:facet>
                <!--#{employee.salary}-->
            </b:dataTableColumn>
            <b:dataTableColumn value="#{flight.departureLocalDateTime.toString()}">
                <f:facet name = "header">Departure time</f:facet>
                <!--#{employee.salary}-->
            </b:dataTableColumn>
            <b:dataTableColumn value="#{flight.arrivalLocalDateTime.toString()}">
                <f:facet name = "header">Arrival time</f:facet>
                <!--#{employee.salary}-->
            </b:dataTableColumn>
            <b:dataTableColumn value="#{flight.getDuration()}"><f:facet name = "header">Duration</f:facet>
                <!--#{employee.salary}-->
            </b:dataTableColumn>
            <b:dataTableColumn value="#{searchResultBean.getDisplayPrices(flight)}" style="white-space:pre-wrap;" escape="false"  >

                <f:facet name = "header">Price</f:facet>
                <!--#{employee.department}-->
            </b:dataTableColumn>

            <b:dataTableColumn value="#{searchResultBean.getDisplayDiscounts(flight)}" style="white-space:pre-wrap;" escape="false">
                <f:facet name = "header">Discount</f:facet>
            </b:dataTableColumn>

                <b:dataTableColumn style="white-space:pre-wrap;" escape="false">
                    <f:facet name="header">Reserve</f:facet>
                    <b:form>
                        <b:commandButton action="#{searchResultBean.reserve(flight)}" value="reserve"></b:commandButton>
                    </b:form>
                </b:dataTableColumn>

            </b:dataTable>



            <b:dataTable value="#{searchResultBean.returnSearchResults}" var="flight2"
                         styleClass="flightListTable"
                         headerClass="flightListTableHeader"
                         rowClasses="flightListTableOddRow,flightListTableEvenRow"
                         rendered="#{not empty searchResultBean.returnSearchResults}"
                            >

                <b:dataTableColumn value="#{flight2.airline.name}">
                    <f:facet name="header">Airline</f:facet>

                </b:dataTableColumn>
                <b:dataTableColumn value="#{flight2.flightRoute.origin.printDetails()}">
                    <f:facet name = "header" >Departure</f:facet>
                </b:dataTableColumn>
                <b:dataTableColumn value="#{flight2.flightRoute.destination.printDetails()}">
                    <f:facet name = "header" >Destination</f:facet>
                    <!--#{employee.salary}-->
                </b:dataTableColumn>
                <b:dataTableColumn value="#{flight2.departureLocalDateTime.toString()}">
                    <f:facet name = "header">Departure time</f:facet>
                    <!--#{employee.salary}-->
                </b:dataTableColumn>
                <b:dataTableColumn value="#{flight2.arrivalLocalDateTime.toString()}">
                    <f:facet name = "header">Arrival time</f:facet>
                    <!--#{employee.salary}-->
                </b:dataTableColumn>
                <b:dataTableColumn value="#{flight2.getDuration()}"><f:facet name = "header">Duration</f:facet>
                    <!--#{employee.salary}-->
                </b:dataTableColumn>
                <b:dataTableColumn value="#{searchResultBean.getDisplayPrices(flight2)}" style="white-space:pre-wrap;" escape="false"  >

                    <f:facet name = "header">Price</f:facet>
                    <!--#{employee.department}-->
                </b:dataTableColumn>

                <b:dataTableColumn value="#{searchResultBean.getDisplayDiscounts(flight2)}" style="white-space:pre-wrap;" escape="false">
                    <f:facet name = "header">Discount</f:facet>
                </b:dataTableColumn>

            </b:dataTable>

        </div>
        <link rel="stylesheet" type="text/css" href="styles/flightlist.css"/>

    </ui:define>
</ui:composition>
</html>





